Name:             glassfish-enterprise-concurrent
Version:          1.0
Release:          3%{dist}
Summary:          Concurrency Utilities for Java EE
License:          CDDL or GPLv2 with exceptions
Url:              https://java.net/projects/cu-javaee

# svn export https://svn.java.net/svn/cu-javaee~source-code-repository/tags/javax.enterprise.concurrent-1.0/  glassfish-enterprise-concurrent-1.0
# tar -zcvf glassfish-enterprise-concurrent-1.0.tar.gz glassfish-enterprise-concurrent-1.0
Source0:          glassfish-enterprise-concurrent-%{version}.tar.gz
Source1:          cddl.txt

BuildRequires:    jvnet-parent
BuildRequires:    felix-osgi-foundation
BuildRequires:    felix-parent
BuildRequires:    maven-local
BuildRequires:    glassfish-enterprise-concurrent-api
BuildRequires:    jboss-j2eemgmt-1.1-api

BuildArch:        noarch

%description
Reference Implementation for JSR 236 - Concurrency Utilities for Java EE

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n glassfish-enterprise-concurrent-%{version}

%pom_remove_dep "javax:javaee-web-api"

%pom_add_dep "org.jboss.spec.javax.management.j2ee:jboss-j2eemgmt-api_1.1_spec:1.0.1.Final"

cp %{SOURCE1} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc cddl.txt

%files javadoc -f .mfiles-javadoc
%doc cddl.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 08 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0-1
- Initial import


